commit: 172eaac024b3fb861de05350ff994f12b8350448
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 19 18:28:14 2018 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Nov 19 18:28:26 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=172eaac0
dev-db/mysql: disable additional unstable tests
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
dev-db/mysql/mysql-5.7.24.ebuild | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
diff --git a/dev-db/mysql/mysql-5.7.24.ebuild b/dev-db/mysql/mysql-5.7.24.ebuild
index d79963ba242..7dd4cdbf432 100644
--- a/dev-db/mysql/mysql-5.7.24.ebuild
+++ b/dev-db/mysql/mysql-5.7.24.ebuild
@@ -545,10 +545,16 @@ src_test() {
# Unstable tests
# - main.xa_prepared_binlog_off: https://bugs.mysql.com/bug.php?id=83340
- for t in main.xa_prepared_binlog_off ; do
+ # - rpl.rpl_non_direct_stm_mixing_engines: MDEV-14489
+ for t in main.xa_prepared_binlog_off
rpl.rpl_non_direct_stm_mixing_engines ; do
_disable_test "$t" "Unstable test"
done
+ if ! use amd64 ; then
+ # fixed in >=mysql-8 via commit 0a417e84
+ _disable_test "gis.gis_bugs_crashes" "Unstable results on
non-amd64 architectures due to floating-point operation"
+ fi
+
if use numa && use kernel_linux ; then
# bug 584880
if ! linux_config_exists || ! linux_chkconfig_present NUMA ;
then